Skip to content

Auto Payouts ​

Automatic payout automatically sends wallet funds to defined recipient address and keeps defined minimum amount in the wallet. Creation of new automatic payouts is allowed only through Dashboard UI.

List Auto Payouts ​

This endpoint retrieves all automatic payouts.

HTTP Request ​

GET /v1/automatic-payouts/

python
auto_payouts = uniwire_api_request('/v1/automatic-payouts/')
javascript
uniwire_api_request('/v1/automatic-payouts/').then(function(response) {
  console.log(response);
}).catch(function(error) {
  console.log(error);
});

The above command returns JSON structured like this:

json
{
  "result": [
    {
      "id": "<id>",
      "wallet": {
        "id": "<wallet_id>",
        "name": "Tron"
      },
      "kind": "USDC-TRX",
      "recipient_address": "TLTsfAwsq8vsyhYWQUMRRUggP38aUyJYv8",
      "is_enabled": true,
      "is_api_editable": true,
      "min_amount": "33",
      "keep_amount": "1",
      "interval": 360
    }
  ]
}

Get Auto Payout ​

This endpoint retrieves a specific automatic payout.

HTTP Request ​

GET /v1/automatic-payouts/<ID>/

URL Parameters ​

ParameterDescription
IDThe ID of the automatic payout to retrieve
python
auto_payouts = uniwire_api_request('/v1/automatic-payouts/<id>/')
javascript
uniwire_api_request('/v1/automatic-payouts/<id>/').then(function(response) {
  console.log(response);
}).catch(function(error) {
  console.log(error);
});

The above command returns JSON structured like this:

json
{
  "result": {
    "id": "<id>",
    "wallet": {
      "id": "<wallet_id>",
      "name": "Tron"
    },
    "kind": "USDC-TRX",
    "recipient_address": "TLTsfAwsq8vsyhYWQUMRRUggP38aUyJYv8",
    "is_enabled": true,
    "is_api_editable": true,
    "min_amount": "33",
    "keep_amount": "1",
    "interval": 360
  }
}

Create Auto Payout ​

This endpoint allows creating automatic payout. Only one automatic payout per wallet per kind is allowed. Editable fields: wallet,keep_amount,recipient_address,kind,is_enabled,min_amount,interval. In order to edit automatic payout through API it must have "API Editable" checkbox enabled in UI.

HTTP Request ​

POST /v1/automatic-payouts/

Payload Parameters ​

ParameterDescriptionRequired
walletWallet IDYes
keep_amountAmount to keep in walletYes
recipient_addressRecipient address.Yes
kindAvailable ValuesNo
is_enabledEnable / Disable automatic payout executionNo
min_amountMinimal amount to execute automatic payoutNo
intervalExecution interval in minutes. Supported: 5, 10, 15, 30, 60, 120, 240, 360.No
python
import json

payload = {
    'is_enabled': True,
    'wallet': '<wallet_id>',
    'kind': 'USDT-TRX',
    'keep_amount': 23,
    'min_amount': 11,
    'recipient_address': 'TLTsfAwsq8vsyhYWQUMRRUggP38aUyJYv8',
    'interval': 30,
}
auto_payout = uniwire_api_request('/v1/automatic-payouts/', payload, 'POST')
print(json.dumps(auto_payout, indent=2))
javascript
var payload = {
  'is_enabled': True,
  'wallet': '<wallet_id>',
  'kind': 'USDT-TRX',
  'keep_amount': 23,
  'min_amount': 11,
  'recipient_address': 'TLTsfAwsq8vsyhYWQUMRRUggP38aUyJYv8',
  'interval': 30,
}
uniwire_api_request('/v1/automatic-payouts/', payload, 'POST').then(function(response) {
  console.log(response);
}).catch(function(error) {
  console.log(error);
});

JSON response for Create Automatic Payout endpoint:

json
{
  "result": {
    "id": "<id>",
    "wallet": {
      "id": "<wallet_id>",
      "name": "Tron"
    },
    "kind": "USDC-TRX",
    "recipient_address": "TLTsfAwsq8vsyhYWQUMRRUggP38aUyJYv8",
    "is_enabled": true,
    "is_api_editable": true,
    "min_amount": "33",
    "keep_amount": "1",
    "interval": 360
  }
}

Update Auto Payout ​

This endpoint allows updating automatic payout. Editable fields: wallet,keep_amount,recipient_address,kind,is_enabled,min_amount,interval. In order to edit automatic payout through API it must have "API Editable" checkbox enabled in UI.

HTTP Request ​

PUT https://api.uniwire.com/v1/automatic-payouts/<ID>/

URL Parameters ​

ParameterDescription
IDThe ID of the automatic payout to retrieve

Payload Parameters ​

ParameterDescription
keep_amountAmount to keep in wallet
recipient_addressRecipient address.
kindAvailable Values
is_enabledEnable / Disable automatic payout execution
min_amountMinimal amount to execute automatic payout
intervalExecution interval in minutes. Supported: 5, 10, 15, 30, 60, 120, 240, 360.
python
import json

payload = {
    'is_enabled': True,
    'kind': 'USDT-TRX',
    'keep_amount': 23,
    'min_amount': 11,
    'recipient_address': 'TLTsfAwsq8vsyhYWQUMRRUggP38aUyJYv8',
    'interval': 30,
}
auto_payout = uniwire_api_request('/v1/automatic-payouts/<id>', payload, 'PUT')
print(json.dumps(auto_payout, indent=2))
javascript
var payload = {
  'is_enabled': True,
  'kind': 'USDT-TRX',
  'keep_amount': 23,
  'min_amount': 11,
  'recipient_address': 'TLTsfAwsq8vsyhYWQUMRRUggP38aUyJYv8',
  'interval': 30,
}
uniwire_api_request('/v1/automatic-payouts/<id>', payload, 'PUT').then(function(response) {
  console.log(response);
}).catch(function(error) {
  console.log(error);
});

JSON response for Create Automatic Payout endpoint:

json
{
  "result": {
    "id": "<id>",
    "wallet": {
      "id": "<wallet_id>",
      "name": "Bitcoin Testnet"
    },
    "recipient_address": "3Q2sdSVxqQCyYUt4NvX2y4XNmn7PRF77PZ",
    "keep_amount": "1000"
  }
}

Delete Auto Payout ​

This endpoint allows delete automatic payout.

HTTP Request ​

DELETE https://api.uniwire.com/v1/automatic-payouts/<ID>/

URL Parameters ​

ParameterDescription
IDThe ID of the automatic payout to delete
python
import json

payload = None
auto_payout = uniwire_api_request('/v1/automatic-payouts/<id>', payload, 'DELETE')
print(json.dumps(auto_payout, indent=2))
javascript
var payload = null
uniwire_api_request('/v1/automatic-payouts/<id>', payload, 'DELETE').then(function(response) {
  //
}).catch(function(error) {
  console.log(error);
});